com.dlsc.flexgantt.model.dateline

## Class DatelineModelException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.dlsc.flexgantt.model.dateline.DatelineModelException

- All Implemented Interfaces:
    Serializable

      public class DatelineModelException
      extends Exception

  The dateline throws exceptions of this type when certain changes to it can not be performed (e.g. the maximum dateline width has been reached).
  Since:
    1.0
  Version:
    $Revision: 1.7 $
  Author:
    Dirk Lemmermann
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `DatelineModelException.ID` An enumerater for distinguishing between different types of dateline model veto exceptions.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DatelineModelException(String msg, DatelineModelException.ID id)` Constructs a new exception.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DatelineModelException.ID` | `getId()` Returns the type of the exception.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DatelineModelException

          public DatelineModelException(String msg,
                                        DatelineModelException.ID id)

      Constructs a new exception.
      Parameters:
        `msg` - a message to be shown in the console / to the user
        `id` - an additional identifier that allows to distinguish between different types of exceptions
      Since:
        1.0

  - ### Method Detail

    - #### getId

          public DatelineModelException.ID getId()

      Returns the type of the exception.
      Returns:
        the exception type
      Since:
        1.0

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.